tinymce.PluginManager.add('storage', function (editor, url) {
    editor.addButton('storage', {
        text: 'S',
        icon: false,
        onclick: function () {
            var params = editor.getParam('storage');
            params = params || {};

            editor.windowManager.open({
                title: 'Storage',
                url: url + '/list.html',
                width: params.width || 480,
                height: params.height || 240
            }, {
                url: params.url || '',
                storageUrl: params.storageUrl || '',
                tokenName: params.tokenName || '',
                tokenValue: params.tokenValue || ''
            });
        }
    });

    return {
        getMetadata: function () {
            return {
                title: "Storage plugin"
            };
        }
    };
});