// Модель с генерацией классов для кнопки
export class ButtonClasses {

	// Цвеь - дефолтный
	public primary: string;

	// Цвет - с залитым бэкграундом
	public raised: string;

	// Цвет - ошибка */
	public error: string;

	// Цвет - минималистичный, без бордера
	public light: string;

	// Цвет - отключена
	public disabled: string;

	// Тип - дефолтный
	public basic: string;

	// Тип - уменьшенная версия
	public small: string;

	// Тип - с иконкой
	public icon: string;

	// Пустой класс
	public none = '';

	constructor(private readonly defaultClass: string) {
		this.primary = `${this.defaultClass}--primary`;
		this.raised = `${this.defaultClass}--raised`;
		this.error = `${this.defaultClass}--error`;
		this.light = `${this.defaultClass}--light`;
		this.basic = `${this.defaultClass}--basic`;
		this.small = `${this.defaultClass}--small`;
		this.icon = `${this.defaultClass}--icon`;
		this.disabled = `${this.defaultClass}--disabled`;
		}
}
