import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

// Компоненты
import {
	GpButtonComponent,
	GpCheckboxComponent,
	GpInputComponent
} from './components';

@NgModule({
	imports: [CommonModule, FormsModule, ReactiveFormsModule],
	declarations: [GpButtonComponent, GpInputComponent, GpCheckboxComponent],
	exports: [GpButtonComponent, GpInputComponent, GpCheckboxComponent]
})
export class GpUiModule {}
